aboutsummaryrefslogtreecommitdiff
path: root/network/ulogd
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /network/ulogd
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'network/ulogd')
-rw-r--r--network/ulogd/ulogd-20070907-heimdal.patch.bz2bin0 -> 2032 bytes
-rw-r--r--network/ulogd/ulogd-20070907-paths.patch.bz2bin0 -> 768 bytes
-rwxr-xr-xnetwork/ulogd/ulogd.SlackBuild108
3 files changed, 108 insertions, 0 deletions
diff --git a/network/ulogd/ulogd-20070907-heimdal.patch.bz2 b/network/ulogd/ulogd-20070907-heimdal.patch.bz2
new file mode 100644
index 0000000..52ad082
--- /dev/null
+++ b/network/ulogd/ulogd-20070907-heimdal.patch.bz2
Binary files differ
diff --git a/network/ulogd/ulogd-20070907-paths.patch.bz2 b/network/ulogd/ulogd-20070907-paths.patch.bz2
new file mode 100644
index 0000000..5fbed62
--- /dev/null
+++ b/network/ulogd/ulogd-20070907-paths.patch.bz2
Binary files differ
diff --git a/network/ulogd/ulogd.SlackBuild b/network/ulogd/ulogd.SlackBuild
new file mode 100755
index 0000000..4381ba7
--- /dev/null
+++ b/network/ulogd/ulogd.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=ulogd
+VERSION=20070907
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://www.netfilter.org/projects/ulogd/files
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-heimdal.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-paths.patch.bz2 | patch -p1 -s
+CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" ./configure \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --libdir=/usr/libexec \
+ --with-pcap=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/etc/rc.d \
+ $PKG/etc/logrotate.d $PKG/var/log/ulogd
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ulogd: ulogd (Linux firewall logging daemon)
+ulogd:
+ulogd: Ulogd is a userspace logging daemon for Netfilter/Iptables related
+ulogd: logging. This includes per-packet logging of security violations,
+ulogd: per-packet logging for accounting purpose as well as per-flow
+ulogd: logging.
+ulogd:
+ulogd:
+ulogd:
+ulogd:
+ulogd:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+netfilter_libs >= 12.0.0-i486-1
+EOF
+
+install -m0644 -g0 -o0 heimdal/doinst.sh $PKG/install
+
+install -m0644 -g0 -o0 AUTHORS README TODO doc/*table* \
+ $PKG/usr/doc/$NAME-$VERSION
+
+install -m0644 -g0 -o0 heimdal/ulogd.conf.new $PKG/etc
+install -m0644 -g0 -o0 heimdal/ulogd.logrotate $PKG/etc/logrotate.d/ulogd
+install -m0644 -g0 -o0 heimdal/rc.ulogd.new $PKG/etc/rc.d
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+(
+ cd $PKG/usr/libexec/ulogd
+ rm -f *.so *.so.0
+ for lib in `ls *.so.0.0.0`; do
+ prefix=`basename $lib .so.0.0.0`
+ mv $lib $prefix.so
+ done
+)
+
+rm -f $PKG/usr/libexec/*/*.la
+
+strip --strip-unneeded \
+ $PKG/usr/libexec/*/*.so* || :
+
+strip $PKG/usr/sbin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz